<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SSSlideInfoAtom (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SSSlideInfoAtom (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SSSlideInfoAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/SoundData.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/StyleTextProp9Atom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/SSSlideInfoAtom.html" target="_top">Frames</a>
        </li>
        <li><a href="SSSlideInfoAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class SSSlideInfoAtom" class="title">Class SSSlideInfoAtom</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.Record</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                               title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.RecordAtom</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hslf.record.SSSlideInfoAtom</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">SSSlideInfoAtom</span>
extends <a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html" title="class in org.apache.poi.hslf.record">RecordAtom</a></pre>
                <div class="block">A SlideShowSlideInfo Atom (type 1017).<br>
                    <br>

                    An atom record that specifies which transition effects to perform
                    during a slide show, and how to advance to the next presentation slide.<br>
                    <br>

                    Combination of effectType and effectDirection:
                    <table>
                        <tr>
                            <th>type</th>
                            <th>description</th>
                            <th>direction</th>
                        </tr>
                        <tr>
                            <td>0</td>
                            <td>cut</td>
                            <td>0x00 = no transition, 0x01 = black transition</td>
                        </tr>
                        <tr>
                            <td>1</td>
                            <td>random</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>2</td>
                            <td>blinds</td>
                            <td>0x00 = vertical, 0x01 = horizontal</td>
                        </tr>
                        <tr>
                            <td>3</td>
                            <td>checker</td>
                            <td>like blinds</td>
                        </tr>
                        <tr>
                            <td>4</td>
                            <td>cover</td>
                            <td>0x00 = left, 0x01 = up, 0x02 = right, 0x03 = down, 0x04 = left/up, 0x05 = right/up, 0x06
                                left/down, 0x07 = left/down
                            </td>
                        </tr>
                        <tr>
                            <td>5</td>
                            <td>dissolve</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>6</td>
                            <td>fade</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>7</td>
                            <td>uncover</td>
                            <td>like cover</td>
                        </tr>
                        <tr>
                            <td>8</td>
                            <td>random bars</td>
                            <td>like blinds</td>
                        </tr>
                        <tr>
                            <td>9</td>
                            <td>strips</td>
                            <td>like 0x04 - 0x07 of cover</td>
                        </tr>
                        <tr>
                            <td>10</td>
                            <td>wipe</td>
                            <td>like 0x00 - 0x03 of cover</td>
                        </tr>
                        <tr>
                            <td>11</td>
                            <td>box in/out</td>
                            <td>0x00 = out, 0x01 = in</td>
                        </tr>
                        <tr>
                            <td>13</td>
                            <td>split</td>
                            <td>0x00 = horizontally out, 0x01 = horizontally in, 0x02 = vertically out, 0x03 =
                                vertically in
                            </td>
                        </tr>
                        <tr>
                            <td>17</td>
                            <td>diamond</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>18</td>
                            <td>plus</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>19</td>
                            <td>wedge</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>20</td>
                            <td>push</td>
                            <td>like 0x00 - 0x03 of cover</td>
                        </tr>
                        <tr>
                            <td>21</td>
                            <td>comb</td>
                            <td>like blinds</td>
                        </tr>
                        <tr>
                            <td>22</td>
                            <td>newsflash</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>23</td>
                            <td>alphafade</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>26</td>
                            <td>wheel</td>
                            <td>number of radial divisions (0x01,0x02,0x03,0x04,0x08)</td>
                        </tr>
                        <tr>
                            <td>27</td>
                            <td>circle</td>
                            <td>0x00</td>
                        </tr>
                        <tr>
                            <td>255</td>
                            <td>undefined</td>
                            <td>0x00</td>
                        </tr>
                    </table>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#AUTO_ADVANCE_BIT">AUTO_ADVANCE_BIT</a></span></code>
                                    <div class="block">A bit that specifies whether the slide will automatically
                                        advance after slideTime milliseconds during the slide show.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#CURSOR_VISIBLE_BIT">CURSOR_VISIBLE_BIT</a></span></code>
                                    <div class="block">A bit that specifies whether to display the cursor during
                                        the slide show.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#HIDDEN_BIT">HIDDEN_BIT</a></span></code>
                                    <div class="block">A bit that specifies whether the corresponding slide is
                                        hidden and is not displayed during the slide show.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#LOOP_SOUND_BIT">LOOP_SOUND_BIT</a></span></code>
                                    <div class="block">A bit that specifies whether the sound specified by soundIdRef is
                                        looped continuously when playing until the next sound plays.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#MANUAL_ADVANCE_BIT">MANUAL_ADVANCE_BIT</a></span></code>
                                    <div class="block">A bit that specifies whether the presentation slide can be
                                        manually advanced by the user during the slide show.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#SOUND_BIT">SOUND_BIT</a></span></code>
                                    <div class="block">A bit that specifies whether to play the sound specified by
                                        soundIfRef.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#STOP_SOUND_BIT">STOP_SOUND_BIT</a></span></code>
                                    <div class="block">A bit that specifies whether to stop any currently playing
                                        sound when the transition starts.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#SSSlideInfoAtom--">SSSlideInfoAtom</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#SSSlideInfoAtom-byte:A-int-int-">SSSlideInfoAtom</a></span>(byte[]&nbsp;source,
                                    int&nbsp;offset,
                                    int&nbsp;len)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#getEffectDirection--">getEffectDirection</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#getEffectTransitionFlagByBit-int-">getEffectTransitionFlagByBit</a></span>(int&nbsp;bitmask)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#getEffectTransitionFlags--">getEffectTransitionFlags</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#getEffectType--">getEffectType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#getRecordType--">getRecordType</a></span>()</code>
                                    <div class="block">We are of type 1017</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#getSlideTime--">getSlideTime</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#getSoundIdRef--">getSoundIdRef</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#getSpeed--">getSpeed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#setEffectDirection-short-">setEffectDirection</a></span>(short&nbsp;effectDirection)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#setEffectTransitionFlagByBit-int-boolean-">setEffectTransitionFlagByBit</a></span>(int&nbsp;bitmask,
                                    boolean&nbsp;enabled)</code>
                                    <div class="block">Use one of the bitmasks MANUAL_ADVANCE_BIT ...</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#setEffectTransitionFlags-short-">setEffectTransitionFlags</a></span>(short&nbsp;effectTransitionFlags)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#setEffectType-short-">setEffectType</a></span>(short&nbsp;effectType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#setSlideTime-int-">setSlideTime</a></span>(int&nbsp;slideTime)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#setSoundIdRef-int-">setSoundIdRef</a></span>(int&nbsp;soundIdRef)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#setSpeed-short-">setSpeed</a></span>(short&nbsp;speed)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Write the contents of the record back, so it can be written
                                        to disk
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.RecordAtom">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                                        title="class in org.apache.poi.hslf.record">RecordAtom</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#getChildRecords--">getChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#isAnAtom--">isAnAtom</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#buildRecordAtOffset-byte:A-int-">buildRecordAtOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#createRecordForType-long-byte:A-int-int-">createRecordForType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#findChildRecords-byte:A-int-int-">findChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-int-java.io.OutputStream-">writeLittleEndian</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-short-java.io.OutputStream-">writeLittleEndian</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="MANUAL_ADVANCE_BIT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MANUAL_ADVANCE_BIT</h4>
                                <pre>public static final&nbsp;int MANUAL_ADVANCE_BIT</pre>
                                <div class="block">A bit that specifies whether the presentation slide can be
                                    manually advanced by the user during the slide show.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.SSSlideInfoAtom.MANUAL_ADVANCE_BIT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HIDDEN_BIT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HIDDEN_BIT</h4>
                                <pre>public static final&nbsp;int HIDDEN_BIT</pre>
                                <div class="block">A bit that specifies whether the corresponding slide is
                                    hidden and is not displayed during the slide show.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.SSSlideInfoAtom.HIDDEN_BIT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="SOUND_BIT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SOUND_BIT</h4>
                                <pre>public static final&nbsp;int SOUND_BIT</pre>
                                <div class="block">A bit that specifies whether to play the sound specified by
                                    soundIfRef.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.SSSlideInfoAtom.SOUND_BIT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LOOP_SOUND_BIT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LOOP_SOUND_BIT</h4>
                                <pre>public static final&nbsp;int LOOP_SOUND_BIT</pre>
                                <div class="block">A bit that specifies whether the sound specified by soundIdRef is
                                    looped continuously when playing until the next sound plays.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.SSSlideInfoAtom.LOOP_SOUND_BIT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="STOP_SOUND_BIT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>STOP_SOUND_BIT</h4>
                                <pre>public static final&nbsp;int STOP_SOUND_BIT</pre>
                                <div class="block">A bit that specifies whether to stop any currently playing
                                    sound when the transition starts.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.SSSlideInfoAtom.STOP_SOUND_BIT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="AUTO_ADVANCE_BIT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>AUTO_ADVANCE_BIT</h4>
                                <pre>public static final&nbsp;int AUTO_ADVANCE_BIT</pre>
                                <div class="block">A bit that specifies whether the slide will automatically
                                    advance after slideTime milliseconds during the slide show.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.SSSlideInfoAtom.AUTO_ADVANCE_BIT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CURSOR_VISIBLE_BIT">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CURSOR_VISIBLE_BIT</h4>
                                <pre>public static final&nbsp;int CURSOR_VISIBLE_BIT</pre>
                                <div class="block">A bit that specifies whether to display the cursor during
                                    the slide show.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.SSSlideInfoAtom.CURSOR_VISIBLE_BIT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SSSlideInfoAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SSSlideInfoAtom</h4>
                                <pre>public&nbsp;SSSlideInfoAtom()</pre>
                            </li>
                        </ul>
                        <a name="SSSlideInfoAtom-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SSSlideInfoAtom</h4>
                                <pre>public&nbsp;SSSlideInfoAtom(byte[]&nbsp;source,
                       int&nbsp;offset,
                       int&nbsp;len)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                                <div class="block">Write the contents of the record back, so it can be written
                                    to disk
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#writeOut-java.io.OutputStream-">writeOut</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordType</h4>
                                <pre>public&nbsp;long&nbsp;getRecordType()</pre>
                                <div class="block">We are of type 1017</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSlideTime--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSlideTime</h4>
                                <pre>public&nbsp;int&nbsp;getSlideTime()</pre>
                            </li>
                        </ul>
                        <a name="setSlideTime-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSlideTime</h4>
                                <pre>public&nbsp;void&nbsp;setSlideTime(int&nbsp;slideTime)</pre>
                            </li>
                        </ul>
                        <a name="getSoundIdRef--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSoundIdRef</h4>
                                <pre>public&nbsp;int&nbsp;getSoundIdRef()</pre>
                            </li>
                        </ul>
                        <a name="setSoundIdRef-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSoundIdRef</h4>
                                <pre>public&nbsp;void&nbsp;setSoundIdRef(int&nbsp;soundIdRef)</pre>
                            </li>
                        </ul>
                        <a name="getEffectDirection--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEffectDirection</h4>
                                <pre>public&nbsp;short&nbsp;getEffectDirection()</pre>
                            </li>
                        </ul>
                        <a name="setEffectDirection-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEffectDirection</h4>
                                <pre>public&nbsp;void&nbsp;setEffectDirection(short&nbsp;effectDirection)</pre>
                            </li>
                        </ul>
                        <a name="getEffectType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEffectType</h4>
                                <pre>public&nbsp;short&nbsp;getEffectType()</pre>
                            </li>
                        </ul>
                        <a name="setEffectType-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEffectType</h4>
                                <pre>public&nbsp;void&nbsp;setEffectType(short&nbsp;effectType)</pre>
                            </li>
                        </ul>
                        <a name="getEffectTransitionFlags--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEffectTransitionFlags</h4>
                                <pre>public&nbsp;short&nbsp;getEffectTransitionFlags()</pre>
                            </li>
                        </ul>
                        <a name="setEffectTransitionFlags-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEffectTransitionFlags</h4>
                                <pre>public&nbsp;void&nbsp;setEffectTransitionFlags(short&nbsp;effectTransitionFlags)</pre>
                            </li>
                        </ul>
                        <a name="setEffectTransitionFlagByBit-int-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEffectTransitionFlagByBit</h4>
                                <pre>public&nbsp;void&nbsp;setEffectTransitionFlagByBit(int&nbsp;bitmask,
                                         boolean&nbsp;enabled)</pre>
                                <div class="block">Use one of the bitmasks MANUAL_ADVANCE_BIT ... CURSOR_VISIBLE_BIT
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>bitmask</code> -</dd>
                                    <dd><code>enabled</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEffectTransitionFlagByBit-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEffectTransitionFlagByBit</h4>
                                <pre>public&nbsp;boolean&nbsp;getEffectTransitionFlagByBit(int&nbsp;bitmask)</pre>
                            </li>
                        </ul>
                        <a name="getSpeed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpeed</h4>
                                <pre>public&nbsp;short&nbsp;getSpeed()</pre>
                            </li>
                        </ul>
                        <a name="setSpeed-short-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setSpeed</h4>
                                <pre>public&nbsp;void&nbsp;setSpeed(short&nbsp;speed)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SSSlideInfoAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/SoundData.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/StyleTextProp9Atom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/SSSlideInfoAtom.html" target="_top">Frames</a>
        </li>
        <li><a href="SSSlideInfoAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
